Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155398 - [RFE] add boot-time option to avoid loading the entire rescue image into memory
Summary: [RFE] add boot-time option to avoid loading the entire rescue image into memory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 22:27 UTC by Alexandre Oliva
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-22 12:54:27 UTC


Attachments (Terms of Use)

Description Alexandre Oliva 2005-04-19 22:27:31 UTC
It takes a long time to load the rescue image into memory, especially on
notebooks with their slow CD drives.  If all I want to do with the rescue image
will take just a few seconds, it's not reasonable to wait 1-2 minutes to have it
loaded into memory.  I've often wanted an option to enable me to skip the
loading into memory.  Setting a low limit for memory might work, but it might
have other undesirable side effects.  Any chance such an option could be added?

Comment 1 Jeremy Katz 2005-04-27 05:32:50 UTC
We shouldn't be loading things into memory and instead just mounting it.  Can
you provide more details on what you're seeing here?

Comment 2 Alexandre Oliva 2005-05-04 17:25:22 UTC
loader2/cdinstall.c:

                    /* if in rescue mode lets copy stage 2 into RAM so we can */
                   /* free up the CD drive and user can have it avaiable to  */
                   /* aid system recovery.                                   */
                   if (FL_RESCUE(flags) && totalMemory() > 128000) {
                        snprintf(path, sizeof(path),
"/mnt/source/%s/base/stage2.img", getProductPath());
                        rc = copyFile(path, "/tmp/ramfs/stage2.img");
                        stage2img = "/tmp/ramfs/stage2.img";
                        stage2inram = 1;
                    } else {
                        snprintf(path, sizeof(path),
"/mnt/source/%s/base/stage2.img", getProductPath());
                        stage2img = strdup(path);
                        stage2inram = 0;
                    }


Comment 3 Jeremy Katz 2005-05-05 21:39:17 UTC
Hmm, I had forgotten all about that / didn't know about it to begin with :-)

Fixed in CVS so that booting with 'linux text rescue' won't load it.  It's a
little bit of overload, but I think it's fair enough at this point.

Comment 4 Alexandre Oliva 2005-05-22 12:54:27 UTC
Thanks, verified to work.


Note You need to log in before you can comment on or make changes to this bug.